ATMEL: S_usb_device Struct Reference

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Alphabetical List
- Data Structures
- Data Fields

# S_usb_device Struct Reference
[USB host enumeration functions]

`#include <usb_host_enum.h>`

## Data Fields

U8 | device_address
U8 | ep_ctrl_size
U8 | hub_port_nb
U8 | parent_hub_number
U8 | nb_interface
U16 | pid
U16 | vid
U8 | bmattributes
U8 | maxpower
S_usb_interface | interface [MAX_INTERFACE_FOR_DEVICE]

## Detailed Description

Definition at line 108 of file usb_host_enum.h.

## Field Documentation

U8 S_usb_device::device_address

Definition at line 110 of file usb_host_enum.h.

Referenced by enumerate_hub_port_device(), host_mem_uninstall(), host_select_device(), host_send_control(), remove_device_entry(), usb_host_task(), and ushell_cmdusb_ls().

U8 S_usb_device::ep_ctrl_size

Definition at line 111 of file usb_host_enum.h.

Referenced by enumerate_hub_port_device(), host_send_control(), remove_device_entry(), and usb_host_task().

U8 S_usb_device::hub_port_nb

Definition at line 112 of file usb_host_enum.h.

Referenced by enumerate_hub_port_device(), and remove_device_entry().

U8 S_usb_device::parent_hub_number

Definition at line 113 of file usb_host_enum.h.

Referenced by enumerate_hub_port_device(), and remove_device_entry().

U8 S_usb_device::nb_interface

Definition at line 114 of file usb_host_enum.h.

Referenced by host_auto_configure_endpoint(), host_check_class(), and remove_device_entry().

U16 S_usb_device::pid

Definition at line 115 of file usb_host_enum.h.

Referenced by host_check_VID_PID(), and remove_device_entry().

U16 S_usb_device::vid

Definition at line 116 of file usb_host_enum.h.

Referenced by host_check_VID_PID(), and remove_device_entry().

U8 S_usb_device::bmattributes

Definition at line 117 of file usb_host_enum.h.

Referenced by host_check_class(), and remove_device_entry().

U8 S_usb_device::maxpower

Definition at line 118 of file usb_host_enum.h.

Referenced by host_check_class(), and remove_device_entry().

S_usb_interface S_usb_device::interface[MAX_INTERFACE_FOR_DEVICE]

Definition at line 119 of file usb_host_enum.h.

Referenced by host_auto_configure_endpoint(), host_check_class(), host_get_hwd_pipe_nb(), host_mem_install(), remove_device_entry(), usb_host_task(), and ushell_cmdusb_ls().

The documentation for this struct was generated from the following file:

- usb_host_enum.h